<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|
|     Copyright (C) 2001-2002 Steve Dunstan (jalist@e107.org)
|     Copyright (C) 2008-2010 e107 Inc (e107.org)
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $URL: https://e107.svn.sourceforge.net/svnroot/e107/trunk/e107_0.7/e107_themes/vekna_blue/theme.php $
|     $Revision: 11678 $
|     $Id: theme.php 11678 2010-08-22 00:43:45Z e107coders $
|     $Author: e107coders $
+----------------------------------------------------------------------------+
*/

if (!defined('e107_INIT')) { exit; }

// [multilanguage]
include_lan(e_THEME."silverblog/languages/".e_LANGUAGE.".php");

// [theme]
$themename = "Silver Blog";
$themeversion = "1.0";
$themeauthor = "Andrew Brandon [PHPnoobie]";
$themeemail = "dev@edit107.com";
$themewebsite = "http://www.edit107.com";
$themedate = "25/08/2012";
$themeinfo = "SilverBlog theme ported to e107, original design from CSSHeaven.org (Ported by PHPnoobie)";
define("STANDARDS_MODE", TRUE);
define("IMODE", "lite");
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;

define("THEME_DISCLAIMER", "<br /><i>".LAN_THEME_1."</i>");

/*REGISTER SHORTCODES*/
$register_sc[]='LOGINSC';

/*BEGIN LAYOUT CODE*/

$layout = "_default";

$HEADER = "
<div id='bodywrap'>
<section id='pagetop'>
<p id='siteinfo'>
{SITETAG}
</p>
<nav id='sitenav'>
{SITELINKS}
</nav>
</section>

<header id='pageheader'>
<h1>
{SITENAME}
</h1>
<div id='search'>
{LOGINSC}
</div>
</header>
<div id='contents'>
<section id='main'>
<div id='leftcontainer'>
{WMESSAGE}
";

$FOOTER = "
{NEXTPREV}
</section>
<section id='sidebar'>
<div id='sidebarwrap'>
<h2>Navigation</h2>
{SITELINKS=flat:2}

<h2>Useful Links</h2>
{SITELINKS=flat:3}

{SETSTYLE=menu}
{MENU=1}
{MENU=2}

</div>
</section>

<div class='clear'></div>
</div>

</div>
<footer id='pagefooter'>
<div id='footerwrap'>
<div class='copyright'>
{SITEDISCLAIMER}
</div>
<div class='credit'>
{THEME_DISCLAIMER}
</div>
</div>
</footer>
";

/*BEGIN CUSTOM PAGE LAYOUT CODE*/

$CUSTOMHEADER = "
<div id='bodywrap'>
<section id='pagetop'>
<p id='siteinfo'>
{SITETAG}
</p>
<nav id='sitenav'>
{SITELINKS}
</nav>
</section>

<header id='pageheader'>
<h1>
{SITENAME}
</h1>
<div id='search'>
{LOGINSC}
</div>
</header>
<div id='contentsfull'>
<section id='mainfull'>
<div id='leftcontainer'>

";

$CUSTOMFOOTER = "
</section>
<div class='clear'></div>
</div>

</div>
<footer id='pagefooter'>
<div id='footerwrap'>
<div class='copyright'>
{SITEDISCLAIMER}
</div>
<div class='credit'>
{THEME_DISCLAIMER}
</div>
</div>
</footer>
";

$CUSTOMPAGES = "forum.php forum_post.php forum_viewforum.php forum_viewtopic.php user.php submitnews.php download.php links.php comment.php stats.php usersettings.php documentation";

/*DEFINE STYLES*/
$NEWSSTYLE = "
<article class='post'>
<header>
<h3>{NEWSTITLE}</h3>
<p class='postinfo'>{NEWSAUTHOR} on {NEWSDATE}</p>
</header>
<p>
{NEWSIMAGE}
{NEWSBODY}
{EXTENDED}
</p>
<footer>
<span class='author'>{EMAILICON}{PRINTICON}{PDFICON}{ADMINOPTIONS}</span>
<span class='permalink'>Posted in {NEWSCATEGORY}</span>
<span class='comments'>{NEWSCOMMENTS}{TRACKBACK}</span>
</footer>
</article>
";

define("ICONSTYLE", "");
define("COMMENTLINK", LAN_THEME_2);
define("COMMENTOFFSTRING", LAN_THEME_3);
define("PRE_EXTENDEDSTRING", "<br /><br />[ ");
define("EXTENDEDSTRING", LAN_THEME_4);
define("POST_EXTENDEDSTRING", " ]<br />");
define("TRACKBACKSTRING", LAN_THEME_5);
define("TRACKBACKBEFORESTRING", " | ");


/*LINK STYLES*/
define('PRELINK', "<ul>");
define('POSTLINK', "</ul>");
define('LINKSTART', "<li>");
define("LINKSTART_HILITE", "");
define('LINKEND', "</li>");
define('LINKDISPLAY', 1);
define('LINKALIGN', "left");


/*TABLE STYLES*/

function tablestyle($caption, $text, $mode)
{
	global $style;
	if($style == "menu")
	{
		echo "<h2>{$caption}</h2>
			<div class='menutext'>{$text}</div>
				";
	}
	
	else
	{
		if($caption)
		{
			echo "<div>\n<div><div>{$caption}</div>\n<div>{$text}</div>\n</div>\n</div>\n";
		}
		else
		{
			echo "<div>\n<div>\n<div>{$text}</div>\n</div>\n</div>\n";
		}
	}
}

/*COMMENT AND CHATBOX STYLES*/
$COMMENTSTYLE = "
<table style='width: 100%;' cellspacing='10'>
<tr>
<td style='width: 30%; text-align: right; vertical-align: top;'><span class='mediumtext'><b>{USERNAME}</b></span><br /><span class='smalltext'>{TIMEDATE}</span><br />{AVATAR}<span class='smalltext'>{REPLY}</span></td>
<td style='width: 70%;'>
{COMMENT} {COMMENTEDIT}
</td>
</tr>
</table>
";

$CHATBOXSTYLE = "
<img src='".THEME_ABS."images/bullet2.gif' alt='' style='vertical-align: middle;' />
<b>{USERNAME}</b>&nbsp;{TIMEDATE}
<div class='smalltext'>
{MESSAGE}
</div>
<br />";

?>